package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ServiceProvider;
import com.lightinit.hsdataportal.entity.ServiceProviderExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ServiceProviderMapper {
    long countByExample(ServiceProviderExample example);

    int deleteByExample(ServiceProviderExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ServiceProvider record);

    int insertSelective(ServiceProvider record);

    List<ServiceProvider> selectByExampleWithBLOBs(ServiceProviderExample example);

    List<ServiceProvider> selectByExample(ServiceProviderExample example);

    ServiceProvider selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ServiceProvider record, @Param("example") ServiceProviderExample example);

    int updateByExampleWithBLOBs(@Param("record") ServiceProvider record, @Param("example") ServiceProviderExample example);

    int updateByExample(@Param("record") ServiceProvider record, @Param("example") ServiceProviderExample example);

    int updateByPrimaryKeySelective(ServiceProvider record);

    int updateByPrimaryKeyWithBLOBs(ServiceProvider record);

    int updateByPrimaryKey(ServiceProvider record);
}